import {Exception} from "ogc3dcontainerentitiesmodel";


export const mapError = (err: Error) => {
    if (err.name === "OGC_Exception") {
        const ogcException = err as Exception;
        return {
            code: ogcException.code,
            description: ogcException.description,
            name: ogcException.name,
            status: 500,
        };
    }
    if (err.name in ["Collection_Not_Found", "Format_Not_Found"]) {
        return {
            name: err.name,
            message: err.message,
            status: 404,
        };
    }
    return {
        name: err.name,
        message: err.message,
        status: 500,
    };
};